Windows API

Integrates WinStd classes with Microsoft Windows API. More...

## Classes

class | winstd::win_handle< INVALID >
| Windows HANDLE wrapper class. More...
class | winstd::library
| Module handle wrapper. More...
class | winstd::process
| Process handle wrapper. More...
class | winstd::file
| File handle wrapper. More...
class | winstd::event
| Event handle wrapper. More...
class | winstd::critical_section
| Critical section wrapper. More...
class | winstd::find_file
| Find-file handle wrapper. More...
class | winstd::heap
| Heap handle wrapper. More...
class | winstd::heap_allocator< _Ty >
| HeapAlloc allocator. More...
class | winstd::actctx_activator
| Activates given activation context in constructor and deactivates it in destructor. More...
class | winstd::user_impersonator
| Lets the calling thread impersonate the security context of a logged-on user. More...
class | winstd::console_ctrl_handler
| Console control handler stack management. More...
class | winstd::vmemory
| Memory in virtual address space of a process handle wrapper. More...
class | winstd::reg_key
| Registry wrapper class. More...
class | winstd::security_id
| SID wrapper class. More...
class | winstd::process_information
| PROCESS_INFORMATION struct wrapper. More...
class | winstd::event_log
| Event log handle wrapper. More...

## Macros

#define | GuidToString GuidToStringA
| Formats GUID and stores it in a std::wstring string. More...
#define | StringToGuid StringToGuidA
| Parses string with GUID and stores it to GUID. More...

## Detailed Description

Integrates WinStd classes with Microsoft Windows API.

## Macro Definition Documentation

## GuidToString

#define GuidToString GuidToStringA

Formats GUID and stores it in a std::wstring string.

Parameters

  [in] | lpGuid | Pointer to GUID
  [out] | str | String to store the result to

## StringToGuid

#define StringToGuid StringToGuidA

Parses string with GUID and stores it to GUID.

Parameters

  [in] | lpszGuid | String with GUID
  [out] | lpGuid | GUID to store the result to
  [out] | lpszGuidEnd | If non-NULL the pointer to the end of parsed GUID within `lpszGuid` is returned

Returns
  - `TRUE` if GUID successfuly parsed;
  - `FALSE` otherwise.